euclide does not support parallel build

Bug #913939 reported by Pim Vullers on 2012-01-09
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Euclide
Medium
Unassigned

Bug Description

Euclide's build fails due to missing dependency information. Although

target_link_libraries(euclide euclidecore)

implies some dependency it seems not to be explicit enough for CMake. Therefor the attached patch adds some explicit dependencies using

add_dependencies()

(To try it out yourself build using make -j3 or -j5.)

Related branches

Pim Vullers (pimvullers) wrote :

The attached patch fixes the build issues on my system by introducing the required dependencies between the different components.

Mario Guerriero (mefrio-g) wrote :

it does not work with your patch.

Changed in euclide:
milestone: none → 0.1
status: New → Confirmed
importance: Undecided → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers